package	jp.co.sds_corp.util.daemon.file;

import java.io.File;

import jp.co.sds_corp.util.common.CmnLog;

/**
* ファイルを削除します。
<PRE>
&lt;Service name="Remover" class="jp.co.sds_corp.util.daemon.file.FileRemover"&gt;
&lt;/Service&gt;
</PRE>
*/
public class FileRemover extends AbstractFileProcessor
{
	/**
	* ファイルの受信処理を開始します。
	*/
	public void start( File file ) throws Exception {
		setStatus( Status.RUN );
		CmnLog.info( this, "remove file [" + file + "]" );
		boolean bRet = file.delete();
		if ( !bRet ) {
			CmnLog.warn( this, "can't remove file [" + file + "]" );
		}
		setStatus( Status.WAIT );
	}

}
