package	jp.co.sds_corp.util.daemon.filter;

import java.util.List;

public class FilterUtility
{
	/**
	* 現在時刻が、IFilterで指定された条件に合致しているかどうかを
	* チェックします。
	* @param	list	IFilterが格納されているList
	* @return	判定結果
	*/
	public static boolean isValid( List<IFilter> list ) {
		if ( list.size() == 0 ) {
			return true;
		}
		boolean bAllow = false;
		boolean bDeny = false;
		for ( int i = 0; i < list.size(); i++ ) {
			IFilter filter = (IFilter )list.get( i );
			boolean bIn = filter.isValid();
			if ( bIn ) {
				if ( filter.getType() == IFilter.Type.ALLOW ) {
					bAllow = true;
				} else {
					bDeny = true;
					break;
				}
			}
		}
		if ( bDeny ) {
			return false;
		}
		return bAllow;
	}

}

