package	jp.co.sds_corp.util.daemon.util;

import jp.co.sds_corp.util.config.IConfiguration;
import jp.co.sds_corp.util.daemon.AbstractService;
import jp.co.sds_corp.util.daemon.core.Interval;

/**
* 指定時間sleepします。
* XMLは以下の形式です。
<PRE>
&lt;Service name="Sleep"
	class="jp.co.sds_corp.util.daemon.util.SleepService"&gt;
	&lt;time&gt;1000&lt;/time&gt;
&lt;/Service&gt;
</PRE>
*/
public class SleepService extends AbstractService
{
	Interval itv = new Interval();
	long	time;

	/**
	* 設定情報から、初期化情報を取得します。
	*/
	public void init( IConfiguration config ) throws Exception {
		IConfiguration c;
		c = config.getChild( "time" );
		itv.init( c );
		time = itv.getMilliSec();
	}

	/**
	* サービスを開始します。
	*/
	public void start() {
		try {
			Thread.sleep( time );
		} catch ( InterruptedException ex ) {
		}
	}

	/**
	* サービスを終了します。
	*/
	public void stop() {
	}

	/**
	* 設定されている内容をXML形式で出力します。
	* @param	config	設定情報
	*/
	public void saveConfig( IConfiguration config ) {
		super.saveConfig( config );
		IConfiguration c;
		c = config.addChild( "time" );
		itv.saveConfig( c );
	}

	/**
	* このサービスの文字列表現を返します。
	*/
	public String toString() {
		String ret = super.toString();
		ret += " time=" + time;
		return ret;
	}
}

